org.keycloak.authorization.client.resource

## Class ProtectionResource

- java.lang.Object
- - org.keycloak.authorization.client.resource.ProtectionResource

-     public class ProtectionResource
      extends Object

  An entry point to access the Protection API endpoints.
  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtectionResource(Http http, ServerConfiguration serverConfiguration, Configuration configuration, TokenCallable pat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenIntrospectionResponse` | `introspectRequestingPartyToken(String rpt)` Introspects the given `rpt` using the token introspection endpoint.
    `PermissionResource` | `permission()` Creates a `PermissionResource` which can be used to manage permission tickets.
    `PolicyResource` | `policy(String resourceId)`
    `ProtectedResource` | `resource()` Creates a `ProtectedResource` which can be used to manage resources.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtectionResource

          public ProtectionResource(Http http,
                                    ServerConfiguration serverConfiguration,
                                    Configuration configuration,
                                    TokenCallable pat)

  - ### Method Detail

    - #### resource

          public ProtectedResource resource()

      Creates a `ProtectedResource` which can be used to manage resources.
      Returns:
        a `ProtectedResource`

    - #### permission

          public PermissionResource permission()

      Creates a `PermissionResource` which can be used to manage permission tickets.
      Returns:
        a `PermissionResource`

    - #### policy

          public PolicyResource policy(String resourceId)

    - #### introspectRequestingPartyToken

          public TokenIntrospectionResponse introspectRequestingPartyToken(String rpt)

      Introspects the given `rpt` using the token introspection endpoint.
      Parameters:
        `rpt` - the rpt to introspect
      Returns:
        the `TokenIntrospectionResponse`

Copyright © 2020 JBoss by Red Hat. All rights reserved.